Subject: bug#21640: closed (Re: bug#21640: 25.0.50; Fontset-font is never scaled)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 17 Apr 2020 10:32:02 +0000

Your bug report

#21640: 25.0.50; Fontset-font is never scaled

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
21640: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=21640
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#21640: 25.0.50; Fontset-font is never scaled
From: Stefan Kangas <[email-masked]>
To: Lars Ingebrigtsen <[email-masked]>
Cc: Artur Malabarba <[email-masked]>, [email-masked], Eli Zaretskii <[email-masked]>
Date: Fri, 17 Apr 2020 12:31:39 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Lars Ingebrigtsen <[email-masked]> writes:

> Artur Malabarba <[email-masked]> writes:
>
>> Anyway, the matter is more complicated then I initially thought. Even
>> on Ubuntu it doesn't work on every Symbola character.
>> For instance, I can get it to work with the "MATHEMATICAL
>> DOUBLE-STRUCK DIGIT ____" family. If I inspect the char I get this
>> description:
>>     xft:-unknown-Symbola-normal-normal-semicondensed-*-50-*-*-*-*-0-iso10646-1
>> (#x14CD)
>>
>> But it doesn't seem to work with anything from the "SMILING FACE WITH
>> ___" family.
>>     xft:-unknown-Symbola-normal-normal-semicondensed-*-16-*-*-*-*-0-iso10646-1
>> (#x18FA)
>
> I tried reproducing this (starting from -Q), but I'm not sure whether
> I'm doing it right.  First I evaled:
>
> (set-fontset-font "fontset-default" nil
>                   (font-spec :size 80 :name "Unifont Upper"))
>
>
> Then inserted SMILING FACE WITH SMILING EYES AND THREE HEARTS (which
> uses that font), and I got:
>
>     ftcrhb:-PfEd-Unifont Upper-normal-normal-normal-*-80-*-*-*-d-0-iso10646-1 (#x2886)
>
> Character code properties: customize what to show
>   name: SMILING FACE WITH SMILING EYES AND THREE HEARTS
>
> So it seems to work for me.  Has this bug gone away in the meanwhile, or
> are you still seeing it?

More information was requested, but none was given within 21 weeks, so
I'm closing this bug.  If this is still an issue, please reply to this
email (use "Reply to all" in your email client) and we can reopen the
bug report.

Best regards,
Stefan Kangas

Subject: 25.0.50; Fontset-font is never scaled
From: Artur Malabarba <[email-masked]>
To: [email-masked]
Date: Wed, 7 Oct 2015 11:52:04 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

I have the following snippet in my init file.

(set-face-attribute 'default nil :height 100
                    :font "SourceCodePro Medium")
(set-fontset-font "fontset-default" nil
                  (font-spec :size 40 :name "Symbola"))

On my Ubuntu system, this means any characters no supported by the
main font (SourceCodePro) will displayed in the Symbola font and
considerably scaled up in size (good).

On my Arch GNU/Linux system, the same happens, except the Symbola
characters are not scaled up in size. By inspecting them with C-u C-x
= I can verify that the Symbola font is indeed being used:

   xft:-unknown-Symbola-normal-normal-semicondensed-*-13-*-*-*-*-0-iso10646-1
(#x1BE3)

Both are compiled from master.